Bug 425762 - Review Request: trac-xmlrpc-plugin - Allows Trac plugins to export their interface via XML-RPC
Review Request: trac-xmlrpc-plugin - Allows Trac plugins to export their inte...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 23:11 EST by Sergio Pascual
Modified: 2008-06-10 19:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 11:52:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2007-12-14 23:11:07 EST
Spec URL: http://sergiopr.fedorapeople.org/trac-xmlrpc.spec
SRPM URL: http://sergiopr.fedorapeople.org/trac-xmlrpc-0.1-0.1.r2892.fc8.src.rpm
Description: This plugin allows Trac plugins to export select parts of their 
interface via XML-RPC. It also includes some exported functions 
for manipulating tickets, with plans to include interfaces to other parts 
of Trac's API.
Comment 1 Parag AN(पराग) 2007-12-17 02:01:11 EST
you don't need to use both commands 
%{__python} setup.py install --skip-build --root %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

I think good to use only
%{__python} setup.py install --skip-build --root  %{buildroot}

Comment 3 Parag AN(पराग) 2007-12-17 23:40:07 EST
though source files looks same dunno md5sum is different from source inside SRPM
and one I created using instructions given in SPEC

My steps,
svn export -r 2892 http://trac-hacks.org/svn/xmlrpcplugin/0.10 xmlrpcplugin
A    xmlrpcplugin
A    xmlrpcplugin/setup.py
A    xmlrpcplugin/tracrpc
A    xmlrpcplugin/tracrpc/api.py
A    xmlrpcplugin/tracrpc/web_ui.py
A    xmlrpcplugin/tracrpc/util.py
A    xmlrpcplugin/tracrpc/__init__.py
A    xmlrpcplugin/tracrpc/ticket.py
A    xmlrpcplugin/tracrpc/wiki.py
A    xmlrpcplugin/tracrpc/search.py
A    xmlrpcplugin/tracrpc/templates
A    xmlrpcplugin/tracrpc/templates/xmlrpclist.cs
Exported revision 2892.

tar -cjvf xmlrpcplugin-r2892.tar.bz2 xmlrpcplugin
xmlrpcplugin/
xmlrpcplugin/setup.py
xmlrpcplugin/tracrpc/
xmlrpcplugin/tracrpc/util.py
xmlrpcplugin/tracrpc/api.py
xmlrpcplugin/tracrpc/ticket.py
xmlrpcplugin/tracrpc/web_ui.py
xmlrpcplugin/tracrpc/search.py
xmlrpcplugin/tracrpc/templates/
xmlrpcplugin/tracrpc/templates/xmlrpclist.cs
xmlrpcplugin/tracrpc/__init__.py
xmlrpcplugin/tracrpc/wiki.py

md5sum xmlrpcplugin-r2892.tar.bz2 
651b5f3521cc997c8ead86039c715617  xmlrpcplugin-r2892.tar.bz2

And source in SRPM gave
d0c2e58bb5e411f8aa8f408564dbf487  xmlrpcplugin-r2892.tar.bz2

Else, 
 Packaging looks OK.
 rpmlint is silent.
 eggs files generated correctly.

Comment 4 Sergio Pascual 2007-12-18 04:09:10 EST
I'm getting a different md5sum every time I create the tarball. Probably the
creation time of the tarball and other information are stored in the tar file.
In this case, your tarball and mine are different, although the contents are same. 

If a diff of your svn export and my tarball is empty, I think it's enough
Comment 5 Parag AN(पराग) 2007-12-18 04:35:31 EST
APRPOVED.
Comment 6 Sergio Pascual 2007-12-18 04:48:27 EST
New Package CVS Request
=======================
Package Name: trac-xmlrpc - 
Short Description: Allows Trac plugins to export their interface via xmlrpc
Owners: sergiopr
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 7 Sergio Pascual 2007-12-18 04:56:47 EST
For consistency with other trac packages, I prefer to name it trac-xmlrpc-plugin 

New Package CVS Request
=======================
Package Name: trac-xmlrpc-plugin 
Short Description: Allows Trac plugins to export their interface via xmlrpc
Owners: sergiopr
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 8 Tom "spot" Callaway 2007-12-18 09:54:46 EST
cvs done (as trac-xmlrpc-plugin)
Comment 9 Jason Tibbitts 2008-06-10 19:18:55 EDT
Changing summary to match the package name.

Note You need to log in before you can comment on or make changes to this bug.